Skip to main content
GET
/
inboxes
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/inboxes \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "email": "jsmith@example.com",
      "domain": "<string>",
      "localPart": "<string>",
      "displayName": "<string>",
      "agentId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
limit
integer
default:20

Maximum number of items to return per page (1–100, default 20)

Required range: 1 <= x <= 100
query
string

Free-text search query to filter inboxes by email or display name

Response

200 - application/json

OK

Paginated list of inboxes

items
object[]
required

Array of inbox resources matching the query

pagination
object
required

Pagination metadata for retrieving additional pages